package domain


type AlibabaAxWarehouseInboundCallbackReverseInBoundDetailCallBackRequest struct {
    /*
        子单扩展字段     */
    Extension  *string `json:"extension,omitempty" `

    /*
        oms主单号     */
    BizOrderId  *string `json:"biz_order_id,omitempty" `

    /*
        实际入库销售数量     */
    ActualSaleQuantity  *string `json:"actual_sale_quantity,omitempty" `

    /*
        实际入库库存数量     */
    ActualStockQuantity  *string `json:"actual_stock_quantity,omitempty" `

    /*
        oms子单号     */
    BizSubOrderId  *string `json:"biz_sub_order_id,omitempty" `

    /*
        sku编码     */
    SkuCode  *string `json:"sku_code,omitempty" `

}

func (s *AlibabaAxWarehouseInboundCallbackReverseInBoundDetailCallBackRequest) SetExtension(v string) *AlibabaAxWarehouseInboundCallbackReverseInBoundDetailCallBackRequest {
    s.Extension = &v
    return s
}
func (s *AlibabaAxWarehouseInboundCallbackReverseInBoundDetailCallBackRequest) SetBizOrderId(v string) *AlibabaAxWarehouseInboundCallbackReverseInBoundDetailCallBackRequest {
    s.BizOrderId = &v
    return s
}
func (s *AlibabaAxWarehouseInboundCallbackReverseInBoundDetailCallBackRequest) SetActualSaleQuantity(v string) *AlibabaAxWarehouseInboundCallbackReverseInBoundDetailCallBackRequest {
    s.ActualSaleQuantity = &v
    return s
}
func (s *AlibabaAxWarehouseInboundCallbackReverseInBoundDetailCallBackRequest) SetActualStockQuantity(v string) *AlibabaAxWarehouseInboundCallbackReverseInBoundDetailCallBackRequest {
    s.ActualStockQuantity = &v
    return s
}
func (s *AlibabaAxWarehouseInboundCallbackReverseInBoundDetailCallBackRequest) SetBizSubOrderId(v string) *AlibabaAxWarehouseInboundCallbackReverseInBoundDetailCallBackRequest {
    s.BizSubOrderId = &v
    return s
}
func (s *AlibabaAxWarehouseInboundCallbackReverseInBoundDetailCallBackRequest) SetSkuCode(v string) *AlibabaAxWarehouseInboundCallbackReverseInBoundDetailCallBackRequest {
    s.SkuCode = &v
    return s
}
